Summary: A language for data analysis and graphics
Name:    R-base
Version: 1.9.1
Release: 3mdk
Source0: ftp://cran.r-project.org/pub/R/src/base/R-%{version}.tar.bz2
Source1: R-icons-png.tar.bz2
Patch0:  R-1.9.1-lib64.patch.bz2
Patch1:  R-1.9.1-menu.patch.bz2
License: GPL
Group:   Sciences/Mathematics
URL:     http://www.r-project.org
Provides: R
Requires: perl, sed
BuildRequires: autoconf2.5
BuildRequires: bzip2-devel
BuildRequires: gcc-g77
BuildRequires: gpm-devel
BuildRequires: libORBit-devel
BuildRequires: mozilla
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: tk
BuildRequires: texinfo
BuildRequires: tetex-latex
BuildConflicts: libblas3-devel
Obsoletes: R-recommended <= 1.5.1
Provides:  R-recommended
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
`GNU S' - A language and environment for statistical computing and
graphics. R is similar to the S system, which was developed at Bell
Laboratories by John Chambers et al. It provides a wide variety of
statistical and graphical techniques (linear and nonlinear modelling,
statistical tests, time series analysis, classification, clustering, ...).

R is designed as a true computer language with control-flow
constructions for iteration and alternation, and it allows users to
add additional functionality by defining new functions. For
computationally intensive tasks, C, C++ and Fortran code can be linked
and called at run time.

%prep
%setup -q -n R-%{version}
%patch0 -p1 -b .lib64
%patch1 -p1 -b .menu
rm -f acinclude.m4
aclocal -I ./m4
autoconf

%build
export CFLAGS=$(echo "$RPM_OPT_FLAGS" | sed -e s/-ffast-math/-fno-fast-math/g)
export FFLAGS=$CFLAGS
export CXXFLAGS=$CFLAGS
FPICFLAGS=-fPIC \
%configure2_5x \
	--with-gnome \
	--with-zlib \
	--with-bzlib \
	--with-pcre

make
make pdf
# DON'T comment "make check" below! If R doesn't pass the 'check' test
# then it is probably badly compiled, or there are problems with
# the compiler.
make info
make check

%install
%makeinstall install-info rhome=$RPM_BUILD_ROOT%{_libdir}/R

mv doc/manual/*.pdf $RPM_BUILD_DIR/R-%{version} || :

# Remove latex versions of help pages
#
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/*/latex/

# Fix location of R_HOME_DIR in shell wrapper
#
( cd $RPM_BUILD_ROOT%{_bindir}
  perl -i -pe "s@R_HOME_DIR=.*@R_HOME_DIR=%{_libdir}/R@" R )
( cd $RPM_BUILD_ROOT%{_libdir}/R/bin
  perl -i -pe "s@R_HOME_DIR=.*@R_HOME_DIR=%{_libdir}/R@" R )

# Remove package indices. They are rebuilt by the postinstall script.
#
rm -f $RPM_BUILD_ROOT%{_libdir}/R/doc/html/function.html \
      $RPM_BUILD_ROOT%{_libdir}/R/doc/html/packages.html \
      $RPM_BUILD_ROOT%{_libdir}/R/doc/html/search/index.txt

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/R-base <<EOF
?package(R-base): needs="X11" command="%{_bindir}/R --gui=gnome" \
section="Applications/Sciences/Mathematics" \
title="R" \
longtitle="R - a language for statistical computing" \
icon="Rlogo.png" \
startup_notify="true"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir{,.old*}

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%_install_info R-admin.info
%_install_info R-data.info
%_install_info R-exts.info
%_install_info R-FAQ.info
%_install_info R-intro.info
%_install_info R-lang.info
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllist > /dev/null 2>&1
%__cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%preun 
if [ $1 = 0 ]; then
%__rm -f %{_libdir}/R/doc/html/function.html \
	 %{_libdir}/R/doc/html/packages.html \
	 %{_libdir}/R/doc/html/search/index.txt
%_remove_install_info R-admin.info
%_remove_install_info R-data.info
%_remove_install_info R-exts.info
%_remove_install_info R-FAQ.info
%_remove_install_info R-intro.info
%_remove_install_info R-lang.info
fi

%postun
%clean_menus

%files 
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING COPYRIGHTS FAQ NEWS
%doc README RESOURCES THANKS VERSION Y2K
%doc R-admin.pdf R-data.pdf R-exts.pdf R-FAQ.pdf R-intro.pdf R-lang.pdf refman.pdf
%{_bindir}/R
%{_mandir}/*/*
%{_libdir}/R
%{_infodir}/*.info*
%{_menudir}/*
%{_iconsdir}/*.*
%{_liconsdir}/*.*
%{_miconsdir}/*.*

%changelog
* Mon Oct 04 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.1-3mdk
- Added --gui=gnome to menu entry.
- Added Patch1 to allow R starting from desktop menu.

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.1-2mdk
- Rebuild with new menu

* Mon Jul 19 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.1-1mdk
- Release 1.9.1.
- Removed Patch1.

* Wed Jan 07 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.1-1mdk
- Release: 1.8.1.
- Added Patch1 to get compiling under current XFree86.

* Mon Aug 11 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-1mdk
- Release: 1.7.1.

* Sun Feb 23 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.2-3mdk
- Added BuildConflicts: libblas3-devel (because is in contrib).

* Thu Feb 06 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.2-2mdk
- Obsoletes R-recommended.

* Tue Jan 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Tue Dec 31 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-1mdk
- Updated to release: 1.6.1.
- Readapted lib64 Patch0.

* Sun Dec 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.5.1-5mdk
- BuildRequires

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.1-4mdk
- BuildRequires: libglade-devel
- Fix configure-without-libdir-spec
- Patch0: Make it lib64 aware and let it build tcl/tk module there

* Tue Jul 23 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.1-3mdk
- Rebuilt against new readline-4.3 for real this time...

* Tue Jul 23 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.1-2mdk
- Rebuilt against new readline-4.3.

* Thu Jul 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.1-1mdk
- Updated to release 1.5.1.
- Compile with gnome.

* Tue Feb 26 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-4mdk
- Unrolled BuildRequires.
- Provides: R.

* Fri Feb 08 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-3mdk
- moved %%_remove_install_info to %%preun stage.
- CFLAGS
- added CXXFLAGS.

* Thu Feb 07 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-2mdk
- added info pages.
- added R-admin.pdf
- PNG icons.

* Thu Feb 07 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-1mdk
- version 1.4.1.

* Fri Dec 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.0-1mdk
- new release.

* Mon Oct 15 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.1-2mdk
- rebuilt against latest libpng.

* Sat Sep 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.1-1mdk
- removed obsolete Conflicts.
- added icons & menus.
- updated to 1.3.1.
- disabled using of blas from lapack in configure.

* Thu Aug 02 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.0-2mdk
- removed LIBINDEX patch.

* Wed Jul 25 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.0-1mdk
- updated to release 1.3.0.

* Tue May 15 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.3-2mdk
- added readline-devel in BuildRequires.

* Sat May 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.3-1mdk
- updated to release 1.2.3 (bugfixes).

* Sat Apr 07 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.2-2mdk
- fixed a typo in configure.

* Tue Mar 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.2-1mdk
- updated to version 1.2.2.

* Sat Feb 17 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-1mdk
- updated to version 1.2.1.
- changed lib/bin/maketitle.awk permission to non-executable.

* Fri Dec 22 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.0-4mdk
- added PDF of Reference Manual.
- added tcl, tk in BuildRequires.

* Tue Dec 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.0-3mdk
- removed stdout output in post scripts.

* Tue Dec 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-2mdk
- ExcludeArch: ppc

* Tue Dec 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.0-1mdk
- new fresh release.

* Tue Dec 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-3mdk
- fixed broken macros (aargh!).

* Sun Oct 28 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.1-2mdk
- Use %%make macro
- bzip2 patch

* Fri Sep 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-1mdk
- initial mandrake release.
- added BuildRequires.
- added -fno-fast-math, otherwise R doesn't passes the arith checks.
- switched order of make check and make pdf.

* Wed Aug 16 2000 Martyn Plummer <plummer@iarc.fr>
- R 1.1.1 released. Removed R-1.1.0-cofig.sub-alpha.patch since
  this version uses up to date config.sub.

* Fri Jun 16 2000 Martyn Plummer <plummer@iarc.fr>
- Added patch R-1.1.0-cofig.sub-alpha.patch from Naoki Takebayashi

* Thu Jun 15 2000 Martyn Plummer <plummer@iarc.fr>
- Removed dependencies on egcs egcs-g77

* Tue Feb 29 2000 Martyn Plummer <plummer@iarc.fr
- Changed the description to match
  http://developer.r-project.org/R-description-short.txt

* Mon Feb 28 2000 Martyn Plummer <plummer@iarc.fr>
- Added egcs, egcs-g77 and perl as requirements. People who want to install
  their own R packages need a working build environment.

* Fri Feb 11 2000 Martyn Plummer <plummer@iarc.fr>
- Remove latex versions of help pages, to save a bit of space.
- PDF files installed in top level doc directory.
- Included R-0.99.0-fixes patch for some serious bugs

* Tue Feb  8 2000 Martyn Plummer <plummer@iarc.fr>
- Added patch R-refman.patch which prevents building the reference manual

* Fri Feb  4 2000 Martyn Plummer <plummer@iarc.fr>
- Updated in preparation for R-0.99.0.
- Now install manual in pdf format.

* Wed Dec 15 1999 Martyn Plummer <plummer@iarc.fr>
- R-0.90.1. Removed Naoki's memory profile patch

* Fri Dec 3 1999 Tim Powers <timp@redhat.com>
- move configure into build section
- quiet scripts
- built for Powertools-6.2

* Mon Nov 29 1999 Martyn Plummer <plummer@iarc.fr>
- Added patch from Naoki to fix problem with memory profile.
  (will be folded in to next R version).

* Mon Nov 22 1999 Martyn Plummer <plummer@iarc.fr>
- R 0.90.0 Naoki's patch for FFT bug no longer necessary.
- Updated URL tag to www.r-project.org 

* Thu Oct 28 1999 Martyn Plummer <plummer@iarc.fr>
- RHCN is officially dead. Changed the Packager field
  back to my name and removed the Distribution field.

* Thu Oct 14 1999 Martyn Plummer <plummer@iarc.fr>
- Set CFLAGS and FFLAGS to be RPM_OPT_FLAGS. Thanks to
  Timothy H. Keitt <keitt@nceas.ucsb.edu>
- Simplified file list.

* Fri Oct 8 1999 Martyn Plummer <plummer@iarc.fr>
- Added patch from Naoki Takebayashi to fix FFT bug on Alpha
  (also found on Sparc).

* Tue Sep 7 1999 Martyn Plummer <plummer@iarc.fr>
  [R-base-0.65.0-1]
- RHOME is now R_HOME. Changed sed scripts accordingly.
- TASKS file is no longer in file list.
